Get Cluster Agent Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/agent"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/agent \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"upgrade_available": true,
"upgrading": true,
"agent_version": "<string>",
"checked_in_at": "2023-11-07T05:31:56Z",
"disable_auto_upgrade": false,
"latest_agent_version": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Imported Clusters
Get Cluster Agent Endpoint
GET
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
agent
Get Cluster Agent Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/agent"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/agent \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"upgrade_available": true,
"upgrading": true,
"agent_version": "<string>",
"checked_in_at": "2023-11-07T05:31:56Z",
"disable_auto_upgrade": false,
"latest_agent_version": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.